Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIObject.Node.Name

Enclosing interface:
  OAIObject.Node

public static interface OAIObject.Node.Name

An interface containing element and attribute names

Nested Class Summary
`static interface` | `OAIObject.Node.Name.Qualified` An interface containing QUALIFIED element and attribute names

Field Summary
`static java.lang.String` | `ABOUT`
`static java.lang.String` | `ADMIN_EMAIL`
`static java.lang.String` | `BASE_URL`
`static java.lang.String` | `CODE`
`static java.lang.String` | `COMPRESSION`
`static java.lang.String` | `DATESTAMP`
`static java.lang.String` | `DELETED_RECORD`
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `EARLIEST_DATESTAMP`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `GRANULARITY`
`static java.lang.String` | `HEADER`
`static java.lang.String` | `IDENTIFIER`
`static java.lang.String` | `METADATA`
`static java.lang.String` | `METADATA_FORMAT`
`static java.lang.String` | `METADATA_NAMESPACE`
`static java.lang.String` | `METADATA_PREFIX`
`static java.lang.String` | `OAI_PMH`
`static java.lang.String` | `PROTOCOL_VERSION`
`static java.lang.String` | `RECORD`
`static java.lang.String` | `REPOSITORY_NAME`
`static java.lang.String` | `REQUEST`
`static java.lang.String` | `RESPONSE_DATE`
`static java.lang.String` | `RESUMPTION_TOKEN`
`static java.lang.String` | `SCHEMA`
`static java.lang.String` | `SET`
`static java.lang.String` | `SET_NAME`
`static java.lang.String` | `SET_SPEC`
`static java.lang.String` | `STATUS`
`static java.lang.String` | `VERB`
`static java.lang.String` | `XMLNS`

Field Detail

### XMLNS

    public static final java.lang.String XMLNS

See Also:
  Constant Field Values

### ABOUT

    public static final java.lang.String ABOUT

See Also:
  Constant Field Values

### VERB

    public static final java.lang.String VERB

See Also:
  Constant Field Values

### DATESTAMP

    public static final java.lang.String DATESTAMP

See Also:
  Constant Field Values

### RESUMPTION_TOKEN

    public static final java.lang.String RESUMPTION_TOKEN

See Also:
  Constant Field Values

### METADATA

    public static final java.lang.String METADATA

See Also:
  Constant Field Values

### OAI_PMH

    public static final java.lang.String OAI_PMH

See Also:
  Constant Field Values

### IDENTIFIER

    public static final java.lang.String IDENTIFIER

See Also:
  Constant Field Values

### RESPONSE_DATE

    public static final java.lang.String RESPONSE_DATE

See Also:
  Constant Field Values

### REQUEST

    public static final java.lang.String REQUEST

See Also:
  Constant Field Values

### REPOSITORY_NAME

    public static final java.lang.String REPOSITORY_NAME

See Also:
  Constant Field Values

### BASE_URL

    public static final java.lang.String BASE_URL

See Also:
  Constant Field Values

### PROTOCOL_VERSION

    public static final java.lang.String PROTOCOL_VERSION

See Also:
  Constant Field Values

### EARLIEST_DATESTAMP

    public static final java.lang.String EARLIEST_DATESTAMP

See Also:
  Constant Field Values

### DELETED_RECORD

    public static final java.lang.String DELETED_RECORD

See Also:
  Constant Field Values

### GRANULARITY

    public static final java.lang.String GRANULARITY

See Also:
  Constant Field Values

### ADMIN_EMAIL

    public static final java.lang.String ADMIN_EMAIL

See Also:
  Constant Field Values

### COMPRESSION

    public static final java.lang.String COMPRESSION

See Also:
  Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

### RECORD

    public static final java.lang.String RECORD

See Also:
  Constant Field Values

### HEADER

    public static final java.lang.String HEADER

See Also:
  Constant Field Values

### SET

    public static final java.lang.String SET

See Also:
  Constant Field Values

### SET_SPEC

    public static final java.lang.String SET_SPEC

See Also:
  Constant Field Values

### SET_NAME

    public static final java.lang.String SET_NAME

See Also:
  Constant Field Values

### METADATA_FORMAT

    public static final java.lang.String METADATA_FORMAT

See Also:
  Constant Field Values

### METADATA_PREFIX

    public static final java.lang.String METADATA_PREFIX

See Also:
  Constant Field Values

### SCHEMA

    public static final java.lang.String SCHEMA

See Also:
  Constant Field Values

### METADATA_NAMESPACE

    public static final java.lang.String METADATA_NAMESPACE

See Also:
  Constant Field Values

### ERROR

    public static final java.lang.String ERROR

See Also:
  Constant Field Values

### CODE

    public static final java.lang.String CODE

See Also:
  Constant Field Values

### STATUS

    public static final java.lang.String STATUS

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.